Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2275 - Use symlinks instead of copies of executables
Summary: Use symlinks instead of copies of executables
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: emacs
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-19 18:47 UTC by mitr
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-16 16:13:25 UTC


Attachments (Terms of Use)

Description mitr 1999-04-19 18:47:31 UTC
The following executable files should be turned into
symlinks to save space (I've checked that the binary image
is the same, which isn't true for /bin/ls vs.
/usr/bin/{,v}dir).
Most notable is emacs-X11 package, where this saves almost 3
MB!
                        Mirek
--------------
***egcs-1.0.3a-14
/usr/bin/egcs -> /usr/bin/i386-redhat-linux-egcs
***emacs-X11-20.3-3
/usr/bin/emacs -> /usr/bin/emacs-20.3
***gawk-3.0.3-3
/bin/gawk -> /usr/bin/gawk-3.0.3
***gzip-1.2.4-12
/bin/gunzip -> /bin/gzip
/bin/zcat -> /bin/gzip
/usr/bin/zdiff -> /usr/bin/zcat
***ld.so-1.9.5-8
/lib/ld.so -> /lib/ld.so.1.9.5
***python-1.5.1-5
/usr/bin/python -> /usr/bin/python1.5

Comment 1 Jay Turner 1999-06-14 20:20:59 UTC
These suggestions have been forwarded to a developer for further
consideration.

Comment 2 Cristian Gafton 1999-06-16 16:13:59 UTC
those are hard links already, that take even less space than symlinks.


Note You need to log in before you can comment on or make changes to this bug.